Index: channels/chan_zap.c
===================================================================
--- channels/chan_zap.c	(rvision 91579)
+++ channels/chan_zap.c	(copie de travail)
@@ -2090,9 +2090,11 @@
 				}
 				p->callwaitcas = 0;
 				if ((p->cidspill = ast_malloc(MAX_CALLERID_SIZE))) {
-					if (p->mwicall)
-						p->cidlen = vmwi_generate(p->cidspill, has_voicemail(p), 1, AST_LAW(p));
-					else
+					if (p->mwicall) {
+						p->cidlen = vmwi_generate(p->cidspill, has_voicemail(p),
+							CID_MWI_TYPE_MDMF_FULL, AST_LAW(p), ast->cid.cid_name,
+							ast->cid.cid_num, 0);
+					} else
 						p->cidlen = ast_callerid_generate(p->cidspill, ast->cid.cid_name, ast->cid.cid_num, AST_LAW(p));
 					p->cidpos = 0;
 					send_callerid(p);
@@ -7451,7 +7453,8 @@
 									/* Turn on on hook transfer for 4 seconds */
 									x = 4000;
 									ioctl(last->subs[SUB_REAL].zfd, ZT_ONHOOKTRANSFER, &x);
-									last->cidlen = vmwi_generate(last->cidspill, res, 1, AST_LAW(last));
+									last->cidlen = vmwi_generate(last->cidspill, res,
+										CID_MWI_TYPE_MDMF, AST_LAW(last), NULL, NULL, 0);
 									last->cidpos = 0;
 									last->msgstate = res;
 									last->onhooktime = thispass;
